`cabal install darcs` fail !

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

`cabal install darcs` fail !

z_axis
>cabal update
>cabal install darcs
......
Installing library in /home/sw2wolf/.cabal/lib/hashed-storage-0.5.5/ghc-6.10.4
Registering hashed-storage-0.5.5...
Reading package info from "dist/installed-pkg-config" ... done.
Writing new package config file... done.
cabal: Error: some packages failed to install:
darcs-2.5.1 depends on haskeline-0.6.3.2 which failed to install.
haskeline-0.6.3.2 failed during the configure step. The exception was:
ExitFailure 1

>uname -a
FreeBSD mybsd.zsoft.com 8.1-RELEASE FreeBSD 8.1-RELEASE #1: Wed Sep  8 09:07:54 CST 2010     root@mybsd.zsoft.com:/media/G/usr/obj/media/G/usr/src/sys/MYKERNEL  i386

It seems that the cabal is NOT very strong, isnot it ?
e^(π.i) + 1 = 0
Reply | Threaded
Open this post in threaded view
|

Re: `cabal install darcs` fail !

Daniel Fischer
On Friday 18 February 2011 04:17:49, z_axis wrote:

> >cabal update
> >cabal install darcs
>
> ......
> Installing library in
> /home/sw2wolf/.cabal/lib/hashed-storage-0.5.5/ghc-6.10.4
> Registering hashed-storage-0.5.5...
> Reading package info from "dist/installed-pkg-config" ... done.
> Writing new package config file... done.
> cabal: Error: some packages failed to install:
> darcs-2.5.1 depends on haskeline-0.6.3.2 which failed to install.
> haskeline-0.6.3.2 failed during the configure step. The exception was:
> ExitFailure 1

To find out what didn't work,

cabal install -v3 haskeline-0.6.3.2

Admittedly, the message you get is not very helpful.

Btw, it may be that upgrading ghc (to at least 6.12.3 if not 7) helps.



_______________________________________________
Haskell-Cafe mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/haskell-cafe